# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Fri Mar  5 08:04:04 2021
# ------------------------------------------------

package:
  name: isa-l
  version: 2.30.0
source:
  patches:
    - nasm-filter.patch
  sha256: bcf592c04fdfa19e723d2adf53d3e0f4efd5b956bb618fed54a1108d76a6eb56
  url: https://github.com/intel/isa-l/archive/v2.30.0.tar.gz
build:
  number: '4'
  string: ha770c72_4
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - autoconf 2.69 pl5320h36c2ea0_10
    - automake 1.16.2 pl5320ha770c72_3
    - binutils_impl_linux-64 2.35.1 h193b22a_2
    - binutils_linux-64 2.35 h67ddf6f_30
    - gcc_impl_linux-64 7.5.0 habd7529_18
    - gcc_linux-64 7.5.0 h47867f9_30
    - kernel-headers_linux-64 2.6.32 h77966d4_13
    - ld_impl_linux-64 2.35.1 hea4e1c9_2
    - libgcc-devel_linux-64 7.5.0 hda03d7c_18
    - libgcc-ng 9.3.0 h2828fa1_18
    - libgomp 9.3.0 h2828fa1_18
    - libstdcxx-ng 9.3.0 h6de172a_18
    - libtool 2.4.6 h58526e2_1007
    - m4 1.4.18 h516909a_1001
    - make 4.3 hd18ef5c_1
    - nasm 2.14.02 h7f98852_0
    - perl 5.32.0 h36c2ea0_0
    - sysroot_linux-64 2.12 h77966d4_13
  run:
    - libgcc-ng >=7.5.0
test:
  commands:
    - igzip --help
    - igzip -k LICENSE
    - bash -c '[ $(stat -c %s LICENSE) -gt $(stat -c %s LICENSE.gz) ]'
    - bash -c '[ "$(igzip -cd LICENSE.gz)" == "$(cat LICENSE)" ]'
  files:
    - LICENSE
about:
  description: "ISA-L is a collection of optimized low-level functions targeting storage\
    \ applications. ISA-L includes:\nErasure codes - Fast block Reed-Solomon type\
    \ erasure codes for any encode/decode matrix in GF(2^8).\nCRC - Fast implementations\
    \ of cyclic redundancy check. Six different polynomials supported.\n    iscsi32,\
    \ ieee32, t10dif, ecma64, iso64, jones64.\nRaid - calculate and operate on XOR\
    \ and P+Q parity found in common RAID implementations.\nCompression - Fast deflate-compatible\
    \ data compression.\nDe-compression - Fast inflate-compatible data compression.\n\
    This package includes the igzip program on Linux and MacOS.\n"
  dev_url: https://github.com/intel/isa-l
  doc_url: https://github.com/intel/isa-l/wiki/
  home: https://software.intel.com/content/www/us/en/develop/tools/isa-l.html
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: provides tools to minimize disk space use and maximize storage throughput,
    security, and resilience.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - rhpvorderman
